# cabal2spec-0.25.2
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name transformers

%global common_summary Concrete functor and monad transformers

%global common_description This part contains the monad transformer class, the concrete \
monad transformers, operations and liftings. It can be used \
on its own in Haskell 98 code, or with the monad classes in \
the monads-fd or monads-tf packages, which automatically \
lift operations introduced by monad transformers through \
other transformers.

Name:           ghc-%{pkg_name}
# haskell-platform-2011.4.0.0
Version:        0.2.2.0
Release:        13.2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Mon Jan 13 2014 Jens Petersen <petersen@redhat.com> - 0.2.2.0-13.2
- rebuild

* Fri Dec 27 2013 Jens Petersen <petersen@redhat.com> - 0.2.2.0-13.1
- add el5 buildroot lines and drop ghc_arches

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.0-12
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.2.0-11.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.2.0-11.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.2.0-11.1
- rebuild with new gmp

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-11
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-10
- ghc_arches replaces ghc_excluded_archs

* Sun Jun 19 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-9
- BR ghc-Cabal-devel and ghc-base-prof, instead of ghc-prof

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-8
- update to cabal2spec-0.23

* Thu May 05 2011 Jiri Skala <jskala@redhat.com> - 0.2.2.0-7
- Enable build on ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.2.0-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com>
- update to cabal2spec-0.22.4

* Sat Jan  8 2011 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.2.0-4
- Rebuild to fix dependencies issues

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.2.2.0-3
- rebuild with ghc-7.0.1

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-2
- Rebuild

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Update to 0.2.2.0

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
